/// <reference types="sequelize" />
import { AssociationOptions } from '../interfaces/AssociationOptions';
import { Model } from '../../model/models/Model';
import { AssociationForeignKeyOptions } from 'sequelize';
import { Association } from '../enums/Association';
import { ModelClassGetter } from '../../model/types/ModelClassGetter';
import { SequelizeImpl } from '../../sequelize/models/SequelizeImpl';
export declare abstract class BaseAssociation {
    private associatedClassGetter;
    private _options;
    constructor(associatedClassGetter: ModelClassGetter);
    abstract getAssociation(): Association;
    protected abstract getPreparedOptions(model: typeof Model, sequelize: SequelizeImpl): AssociationOptions;
    getAssociatedClass(): typeof Model;
    init(model: typeof Model, sequelize: SequelizeImpl): void;
    getSequelizeOptions(): AssociationOptions;
    protected getForeignKeyOptions(relatedClass: typeof Model, classWithForeignKey: typeof Model, foreignKey?: string | AssociationForeignKeyOptions): AssociationForeignKeyOptions;
}
