"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const BaseAssociation_1 = require("./BaseAssociation");
const Association_1 = require("../enums/Association");
class BelongsToAssociation extends BaseAssociation_1.BaseAssociation {
    constructor(associatedClassGetter, options) {
        super(associatedClassGetter);
        this.options = options;
    }
    getAssociation() {
        return Association_1.Association.BelongsTo;
    }
    getPreparedOptions(model, sequelize) {
        const options = Object.assign({}, this.options);
        const associatedClass = this.getAssociatedClass();
        options.foreignKey = this.getForeignKeyOptions(associatedClass, model, options.foreignKey);
        return options;
    }
}
exports.BelongsToAssociation = BelongsToAssociation;
//# sourceMappingURL=BelongsToAssociation.js.map