/// <reference types="sequelize" />
import { BaseAssociation } from './BaseAssociation';
import { Model } from '../../model/models/Model';
import { AssociationOptions } from '../interfaces/AssociationOptions';
import { ModelClassGetter } from '../../model/types/ModelClassGetter';
import { AssociationOptionsHasMany, AssociationOptionsHasOne } from 'sequelize';
import { Association } from '../enums/Association';
import { SequelizeImpl } from '../../sequelize/models/SequelizeImpl';
export declare class HasAssociation extends BaseAssociation {
    private options;
    private association;
    constructor(associatedClassGetter: ModelClassGetter, options: AssociationOptionsHasMany | AssociationOptionsHasOne, association: Association);
    getAssociation(): Association;
    protected getPreparedOptions(model: typeof Model, sequelize: SequelizeImpl): AssociationOptions;
}
