"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
const models_1 = require("../models");
function Table(arg) {
    if (typeof arg === 'function') {
        const target = arg;
        annotate(target);
    }
    else {
        const options = Object.assign({}, arg);
        return (target) => annotate(target, options);
    }
}
exports.Table = Table;
function annotate(target, options = {}) {
    target.addThrowNotInitializedProxy();
    if (options.freezeTableName === undefined)
        options.freezeTableName = true;
    options.instanceMethods = target.prototype;
    options.classMethods = target;
    models_1.setModelName(target.prototype, options.modelName || target.name);
    models_1.addOptions(target.prototype, options);
}
//# sourceMappingURL=Table.js.map