import 'reflect-metadata';
import { Sequelize } from './Sequelize';
import { Model } from "../../model/models/Model";
import { SequelizeOptions } from "../types/SequelizeOptions";
export declare const _OriginSequelize: typeof Sequelize;
export declare class SequelizeImpl extends _OriginSequelize {
    throughMap: {
        [through: string]: any;
    };
    models: {
        [modelName: string]: typeof Model;
    };
    _: {
        [modelName: string]: typeof Model;
    };
    constructor(options: SequelizeOptions | string);
    init(options: SequelizeOptions): void;
    addModels(arg: string[] | Array<typeof Model>): void;
    /**
     * Processes model associations
     */
    associateModels(models: Array<typeof Model>): void;
    getThroughModel(through: string): typeof Model;
    /**
     * Creates sequelize models and registers these models
     * in the registry
     */
    defineModels(models: Array<typeof Model>): void;
}
