"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const models_1 = require("../model/models");
function hasSequelizeUri(obj) {
    return obj.hasOwnProperty("url");
}
exports.hasSequelizeUri = hasSequelizeUri;
/**
 * Prepares sequelize config passed to original sequelize constructor
 */
function prepareOptions(config) {
    if (!config.define) {
        config.define = {};
    }
    config.define = Object.assign({}, models_1.DEFAULT_DEFINE_OPTIONS, config.define);
    if (config.validateOnly) {
        return getValidationOnlyConfig(config);
    }
    return Object.assign({}, config);
}
exports.prepareOptions = prepareOptions;
function getValidationOnlyConfig(config) {
    return Object.assign({}, config, { database: '_name_', username: '_username_', password: '_password_', dialect: 'sqlite', dialectModulePath: __dirname + '/db-dialect-dummy' });
}
//# sourceMappingURL=sequelize.js.map