"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
const models_1 = require("../../model/models");
/**
 * Only allow values with length between min and max
 */
function Length({ msg, min, max }) {
    let options;
    const length = [min || 0, max];
    if (msg) {
        options = { args: length, msg: msg };
    }
    else {
        options = length;
    }
    return (target, propertyName) => models_1.addAttributeOptions(target, propertyName, {
        validate: {
            len: options
        }
    });
}
exports.Length = Length;
//# sourceMappingURL=Length.js.map